package com.shuoeasy.springmvc;


import java.io.IOException;
import java.io.InputStream;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSession;

import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;


@RequestMapping("/home")
@Controller
public class Home {
	
	/**
	 * 获取request的信息
	 */
	@ResponseBody
	@RequestMapping("/request")
	public String request(@RequestBody String body){
		System.out.println("请求的内容\n" + body);
		return body;
	}
	
	/**
	 * 读取文件并响应到浏览器（下载）
	 */
	@RequestMapping("/responseEntity")
	public ResponseEntity<byte[]> responseEntity(HttpSession session) throws IOException{
		byte [] body = null;
		ServletContext servletContext = session.getServletContext();
		InputStream in = servletContext.getResourceAsStream("/tmp/tmp.txt");
		body = new byte[in.available()];
		in.read(body);
		
		HttpHeaders headers = new HttpHeaders();
		headers.add("Content-Disposition", "attachment;filename=abc.txt");
		
		HttpStatus statusCode = HttpStatus.OK;
		
		ResponseEntity<byte[]> response = new ResponseEntity<byte[]>(body, headers, statusCode);
		return response;
	}
	
}
